﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using fido.Database;

namespace fido.Migrations
{
    [DbContext(typeof(FIDODbContext))]
    partial class FIDODbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "5.0.8");

            modelBuilder.Entity("fido.Database.Models.DefaultGroupIdModel", b =>
                {
                    b.Property<ulong>("DiscordChannelId")
                        .HasColumnType("INTEGER");

                    b.Property<ulong>("GroupId")
                        .HasColumnType("INTEGER");

                    b.HasKey("DiscordChannelId");

                    b.ToTable("DefaultGroupIds");
                });
#pragma warning restore 612, 618
        }
    }
}
